Subject: RE: SSH key authentification problem
From: [email-masked]
Cc: [email-masked]
Date: Mon, 19 Jan 2004 11:04:45 +0100

Marc,

My suggestion missed the fact that these settings should
be done on the Linux side !

Jurgen

"Marc Poppleton" <[email-masked]>
Sent by: 
[email-masked]
01/19/2004 11:05 AM

        To:     <[email-masked]>
        cc:     (bcc: Jurgen Defurne/BRG/CE/PHILIPS)
        Subject:        RE: SSH key authentification problem
        Classification: 

Jurgen and Olaf,

I have done as you suggested:
                 chmod 700 .ssh
                 chmod 600 .ssh/*
Nothing different when I try my ssh -i id_dsa mylogin@theserver. I've 
tried
giving a wrong filename and I got an answer saying this file didn't exist
(which is normal).

Here is what I get when I do ssh -v mylogin@theserver:

------------------------------------------------------------------
C:\.ssh>ssh -v mylogin@theserver
OpenSSH_3.7.1p2, SSH protocols 1.5/2.0, OpenSSL 0.9.7c 30 Sep 2003
debug1: Reading configuration data /etc/ssh_config
debug1: Connecting to theserver [xxx.xxx.xxx.xxx] port 22.
debug1: Connection established.
debug1: identity file /cygdrive/c/.ssh/identity type -1
debug1: identity file /cygdrive/c/.ssh/id_rsa type -1
debug1: identity file /cygdrive/c/.ssh/id_dsa type 2
debug1: Remote protocol version 1.99, remote software version 
OpenSSH_3.4p1
debug1: match: OpenSSH_3.4p1 pat
OpenSSH_3.2*,OpenSSH_3.3*,OpenSSH_3.4*,OpenSSH_3.5*
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_3.7.1p2
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: server->client aes128-cbc hmac-md5 none
debug1: kex: client->server aes128-cbc hmac-md5 none
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
debug1: Host 'theserver' is known and matches the RSA host key.
debug1: Found key in /cygdrive/c/.ssh/known_hosts:1
debug1: ssh_rsa_verify: signature correct
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug1: SSH2_MSG_NEWKEYS received
debug1: SSH2_MSG_SERVICE_REQUEST sent
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug1: Authentications that can continue: publickey,password
debug1: Next authentication method: publickey
debug1: Trying private key: /cygdrive/c/.ssh/identity
debug1: Trying private key: /cygdrive/c/.ssh/id_rsa
debug1: Offering public key: /cygdrive/c/.ssh/id_dsa
debug1: Authentications that can continue: publickey,password
debug1: Next authentication method: password
mylogin@theserver's password:
------------------------------------------------------------------

I gather the "debug1: Authentications that can continue: 
publickey,password"
line is full of precious information, but...I'm a total newbie to ssh. :(

Thanks for your answers!

Marc

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/